#ifndef COLORRENDERER_H
#define COLORRENDERER_H

#include "rendering/wrapper/VertexBuffer.h"
#include "rendering/wrapper/StreamBuffer.h"
#include "gaming-core/utils/Color.h"

class ColorRenderer final {
public:
    ColorRenderer();

    struct Vertex {
        float x;
        float y;
        Color4 color;
    };

    void draw(const Vertex& v1, const Vertex& v2, const Vertex& v3);

private:
    VertexBuffer vertexBuffer;
    StreamBuffer buffer;
};

#endif